---
# Run through all tasks to setup machines
# https://community.frame.work/t/fedora-linux-35-on-the-framework-laptop/6613/10
- hosts: localhost
  gather_facts: true
  order: inventory
  vars:
    executable_temp_dir: /tmp
    awscli_install_dir: /opt/aws-cli/
    vault_version: 1.9.3
    tf_version: 1.1.5
    packer_version: 1.7.10

  roles:

    - role: ansible/btrbk
      tags: ["btrbk"]

    - role: ansible/certificates
      tags: ["certificates"]
    
    - role: ansible/dconf
      tags: ["dconf"]

    - role: ansible/framework_tweaks
      tags: ["framework_tweaks"]

    - role: ansible/gnome_extensions
      tags: ["gnome_extensions"]

    - role: ansible/openssh
      tags: ["openssh"]

    - role: ansible/software_common
      tags: ["software_common"]

    - role: ansible/software_developer
      tags: ["software_developer"]

    - role: ansible/software_security
      tags: ["software_security"]

    - role: ansible/network_drives
      tags: ["network_drives"]
